unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics,
  Controls, Forms, Dialogs, StdCtrls,
  SampleUnit,
  BSHL7Object;

type
  TForm1 = class(TForm)
    bMessageCreate: TButton;
    bCreateMessagePath: TButton;
    Memo1: TMemo;
    bParseMessage: TButton;
    bParseMessagePath: TButton;
    bMessageCreateAdv: TButton;
    bCreateMessagePathAdv: TButton;
    bParseMessageAdv: TButton;
    bParseMessagePathAdv: TButton;
    bCreateCustomMessage: TButton;
    bCreateCustomMessageWithPath: TButton;
    bParseCustomMessage: TButton;
    bClose: TButton;
    bParseCustomMessageWithPath: TButton;
    chkAsXML: TCheckBox;
    procedure bMessageCreateClick(Sender: TObject);
    procedure bCreateMessagePathClick(Sender: TObject);
    procedure bParseMessageClick(Sender: TObject);
    procedure bParseMessagePathClick(Sender: TObject);
    procedure bParseMessageAdvClick(Sender: TObject);
    procedure bMessageCreateAdvClick(Sender: TObject);
    procedure bCreateMessagePathAdvClick(Sender: TObject);
    procedure bParseMessagePathAdvClick(Sender: TObject);
    procedure bCreateCustomMessageClick(Sender: TObject);
    procedure bCreateCustomMessageWithPathClick(Sender: TObject);
    procedure bCloseClick(Sender: TObject);
    procedure bParseCustomMessageClick(Sender: TObject);
    procedure bParseCustomMessageWithPathClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;



var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.bMessageCreateAdvClick(Sender: TObject);
begin
  MessageCreateAdv(Memo1,chkAsXML.Checked);
end;

procedure TForm1.bMessageCreateClick(Sender: TObject);
begin
  MessageCreate(Memo1,chkAsXML.Checked);
end;

procedure TForm1.bParseCustomMessageClick(Sender: TObject);
begin
  ParseCustomMessage(Memo1);
end;

procedure TForm1.bParseCustomMessageWithPathClick(Sender: TObject);
begin
  ParseCustomMessageWithPath(Memo1);
end;

procedure TForm1.bParseMessageAdvClick(Sender: TObject);
begin
  ParseMessageAdv(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bParseMessageClick(Sender: TObject);
begin
  ParseMessage(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bParseMessagePathAdvClick(Sender: TObject);
begin
  ParseMessagePathAdv(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bParseMessagePathClick(Sender: TObject);
begin
  ParseMessagePath(Memo1, chkAsXML.Checked);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  BSHL7Library.LoadFromFile('.\data\BSHL722TRIAL.BSL');
  BSHL7Library.LoadFromFile('.\data\BSHL724TRIAL.BSL');
end;

procedure TForm1.bCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.bCreateCustomMessageClick(Sender: TObject);
begin
  CreateCustomMessage(Memo1,chkAsXML.Checked);
end;

procedure TForm1.bCreateCustomMessageWithPathClick(Sender: TObject);
begin
  CreateCustomMessageWithPath(Memo1,chkAsXML.Checked);
end;

procedure TForm1.bCreateMessagePathAdvClick(Sender: TObject);
begin
  CreateMessagePathAdv(Memo1,chkAsXML.Checked);
end;

procedure TForm1.bCreateMessagePathClick(Sender: TObject);
begin
  CreateMessagePath(Memo1,chkAsXML.Checked);
end;


end.
