unit ZAUSegUnit;

interface
uses
  bsHL7Object,BSHL7DT24;


type
  TbsZAU_24 = class(TBSHL7Segment)
  private
    function Getinscarrier1: TbsST_24;
    function Getinscarrier2: TbsST_24;
    function Getinscarrier3: TbsST_24;
    function Getinscarrier4: TbsST_24;
    function Getinscarrier5: TbsST_24;
    function Getinscarrier6: TbsST_24;
    function Getpreauthcd1: TbsST_24;
    function Getpreauthcd2: TbsST_24;
    function Getpreauthcd3: TbsST_24;
    function Getpreauthcd4: TbsST_24;
    function Getpreauthcd5: TbsST_24;
    function Getpreauthcd6: TbsST_24;
    procedure Setinscarrier1(const Value: TbsST_24);
    procedure Setinscarrier2(const Value: TbsST_24);
    procedure Setinscarrier3(const Value: TbsST_24);
    procedure Setinscarrier4(const Value: TbsST_24);
    procedure Setinscarrier5(const Value: TbsST_24);
    procedure Setinscarrier6(const Value: TbsST_24);
    procedure Setpreauthcd1(const Value: TbsST_24);
    procedure Setpreauthcd2(const Value: TbsST_24);
    procedure Setpreauthcd3(const Value: TbsST_24);
    procedure Setpreauthcd4(const Value: TbsST_24);
    procedure Setpreauthcd5(const Value: TbsST_24);
    procedure Setpreauthcd6(const Value: TbsST_24);
  public
    property inscarrier1 : TbsST_24 read Getinscarrier1 write Setinscarrier1;
    property preauthcd1 : TbsST_24 read Getpreauthcd1 write Setpreauthcd1;
    property inscarrier2 : TbsST_24 read Getinscarrier2 write Setinscarrier2;
    property preauthcd2 : TbsST_24 read Getpreauthcd2 write Setpreauthcd2;
    property inscarrier3 : TbsST_24 read Getinscarrier3 write Setinscarrier3;
    property preauthcd3 : TbsST_24 read Getpreauthcd3 write Setpreauthcd3;
    property inscarrier4 : TbsST_24 read Getinscarrier4 write Setinscarrier4;
    property preauthcd4 : TbsST_24 read Getpreauthcd4 write Setpreauthcd4;
    property inscarrier5 : TbsST_24 read Getinscarrier5 write Setinscarrier5;
    property preauthcd5 : TbsST_24 read Getpreauthcd5 write Setpreauthcd5;
    property inscarrier6 : TbsST_24 read Getinscarrier6 write Setinscarrier6;
    property preauthcd6 : TbsST_24 read Getpreauthcd6 write Setpreauthcd6;
    procedure Init;override;
  end;


implementation

{ TbsZAU_24 }

function TbsZAU_24.Getinscarrier1: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('INSCARRIER1'));
end;

function TbsZAU_24.Getinscarrier2: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('INSCARRIER2'));
end;

function TbsZAU_24.Getinscarrier3: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('INSCARRIER3'));
end;

function TbsZAU_24.Getinscarrier4: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('INSCARRIER4'));
end;

function TbsZAU_24.Getinscarrier5: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('INSCARRIER5'));
end;

function TbsZAU_24.Getinscarrier6: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('INSCARRIER6'));
end;

function TbsZAU_24.Getpreauthcd1: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('PREAUTHCD1'));
end;

function TbsZAU_24.Getpreauthcd2: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('PREAUTHCD2'));
end;

function TbsZAU_24.Getpreauthcd3: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('PREAUTHCD3'));
end;

function TbsZAU_24.Getpreauthcd4: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('PREAUTHCD3'));
end;

function TbsZAU_24.Getpreauthcd5: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('PREAUTHCD5'));
end;

function TbsZAU_24.Getpreauthcd6: TbsST_24;
begin
   Result:=TbsST_24(GetOrCreateObject('PREAUTHCD6'));
end;

procedure TbsZAU_24.Init;
begin
  SetType('ZAU','2.4','BESA');
  inherited;
end;

procedure TbsZAU_24.Setinscarrier1(const Value: TbsST_24);
begin
  SetObject('INSCARRIER1',Value);
end;

procedure TbsZAU_24.Setinscarrier2(const Value: TbsST_24);
begin
  SetObject('INSCARRIER2',Value);
end;

procedure TbsZAU_24.Setinscarrier3(const Value: TbsST_24);
begin
  SetObject('INSCARRIER3',Value);
end;

procedure TbsZAU_24.Setinscarrier4(const Value: TbsST_24);
begin
  SetObject('INSCARRIER4',Value);
end;

procedure TbsZAU_24.Setinscarrier5(const Value: TbsST_24);
begin
  SetObject('INSCARRIER5',Value);
end;

procedure TbsZAU_24.Setinscarrier6(const Value: TbsST_24);
begin
  SetObject('INSCARRIER6',Value);
end;

procedure TbsZAU_24.Setpreauthcd1(const Value: TbsST_24);
begin
  SetObject('PREAUTHCD1',Value);
end;

procedure TbsZAU_24.Setpreauthcd2(const Value: TbsST_24);
begin
  SetObject('PREAUTHCD2',Value);
end;

procedure TbsZAU_24.Setpreauthcd3(const Value: TbsST_24);
begin
  SetObject('PREAUTHCD3',Value);
end;

procedure TbsZAU_24.Setpreauthcd4(const Value: TbsST_24);
begin
  SetObject('PREAUTHCD4',Value);
end;

procedure TbsZAU_24.Setpreauthcd5(const Value: TbsST_24);
begin
  SetObject('PREAUTHCD5',Value);
end;

procedure TbsZAU_24.Setpreauthcd6(const Value: TbsST_24);
begin
  SetObject('PREAUTHCD6',Value);
end;

procedure InitZAUSegment;
var
  LDefinition : TBSHL7Definition;
begin
  LDefinition := TBSHL7Definition.Create('ZAU','2.4','BESA','S');
  BSHL7Library.AddType(LDefinition);
  LDefinition.Add('INSCARRIER1','ST',0,1);
  LDefinition.Add('PREAUTHCD1','ST',0,1);
  LDefinition.Add('INSCARRIER2','ST',0,1);
  LDefinition.Add('PREAUTHCD2','ST',0,1);
  LDefinition.Add('INSCARRIER3','ST',0,1);
  LDefinition.Add('PREAUTHCD3','ST',0,1);
  LDefinition.Add('INSCARRIER4','ST',0,1);
  LDefinition.Add('PREAUTHCD4','ST',0,1);
  LDefinition.Add('INSCARRIER5','ST',0,1);
  LDefinition.Add('PREAUTHCD5','ST',0,1);
  LDefinition.Add('INSCARRIER6','ST',0,1);
  LDefinition.Add('PREAUTHCD6','ST',0,1);
end;

initialization
  InitZAUSegment;

end.
