unit unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  BSHL7Object, SampleUnit;

type

  { TForm1 }

  TForm1 = class(TForm)
    bClose: TButton;
    bCreateCustomMessage: TButton;
    bCreateCustomMessageWithPah: TButton;
    bCreateMessagePath: TButton;
    bCreateMessagePathAdv: TButton;
    bMessageCreate: TButton;
    bMessageCreateAdv: TButton;
    bParseCustomMessage: TButton;
    bParseCustomMessageWithPath: TButton;
    bParseMessage: TButton;
    bParseMessageAdv: TButton;
    bParseMessagePath: TButton;
    bParseMessagePathAdv: TButton;
    chkAsXML: TCheckBox;
    Memo1: TMemo;
    procedure bCloseClick(Sender: TObject);
    procedure bCreateCustomMessageClick(Sender: TObject);
    procedure bCreateCustomMessageWithPahClick(Sender: TObject);
    procedure bCreateMessagePathAdvClick(Sender: TObject);
    procedure bCreateMessagePathClick(Sender: TObject);
    procedure bMessageCreateAdvClick(Sender: TObject);
    procedure bMessageCreateClick(Sender: TObject);
    procedure bParseCustomMessageClick(Sender: TObject);
    procedure bParseCustomMessageWithPathClick(Sender: TObject);
    procedure bParseMessageAdvClick(Sender: TObject);
    procedure bParseMessageClick(Sender: TObject);
    procedure bParseMessagePathAdvClick(Sender: TObject);
    procedure bParseMessagePathClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  BSHL7Library.LoadFromFile('D:\BesaProjects\BesaHL7\data\BSHL722.BSL');
  BSHL7Library.LoadFromFile('D:\BesaProjects\BesaHL7\data\BSHL724.BSL');
end;

procedure TForm1.bMessageCreateClick(Sender: TObject);
begin
  MessageCreate(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bParseCustomMessageClick(Sender: TObject);
begin
  ParseCustomMessage(Memo1);
end;

procedure TForm1.bParseCustomMessageWithPathClick(Sender: TObject);
begin
  ParseCustomMessageWithPath(Memo1);
end;

procedure TForm1.bParseMessageAdvClick(Sender: TObject);
begin
  ParseMessageAdv(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bParseMessageClick(Sender: TObject);
begin
  ParseMessage(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bParseMessagePathAdvClick(Sender: TObject);
begin
  ParseMessagePathAdv(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bParseMessagePathClick(Sender: TObject);
begin
  ParseMessagePath(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bCreateMessagePathClick(Sender: TObject);
begin
  CreateMessagePath(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bCreateMessagePathAdvClick(Sender: TObject);
begin
  CreateMessagePathAdv(Memo1, False);
end;

procedure TForm1.bCreateCustomMessageClick(Sender: TObject);
begin
  CreateCustomMessage(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.bCreateCustomMessageWithPahClick(Sender: TObject);
begin
  CreateCustomMessageWithPath(Memo1, chkAsXML.Checked);
end;

procedure TForm1.bMessageCreateAdvClick(Sender: TObject);
begin
  MessageCreateAdv(Memo1, chkAsXML.Checked);
end;



end.

